<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_241) on Wed May 06 12:57:07 EEST 2020 -->
<title>Serialized Form</title>
<meta name="date" content="2020-05-06">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;BusinessLayer</h2>
<ul class="blockList">
<li class="blockList"><a name="BusinessLayer.BaseProduct">
<!--   -->
</a>
<h3>Class <a href="BusinessLayer/BaseProduct.html" title="class in BusinessLayer">BusinessLayer.BaseProduct</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>int id</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre>java.lang.String name</pre>
</li>
<li class="blockListLast">
<h4>price</h4>
<pre>double price</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="BusinessLayer.CompositeProduct">
<!--   -->
</a>
<h3>Class <a href="BusinessLayer/CompositeProduct.html" title="class in BusinessLayer">BusinessLayer.CompositeProduct</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>int id</pre>
</li>
<li class="blockList">
<h4>name</h4>
<pre>java.lang.String name</pre>
</li>
<li class="blockList">
<h4>price</h4>
<pre>double price</pre>
</li>
<li class="blockListLast">
<h4>ingredients</h4>
<pre>java.util.List&lt;E&gt; ingredients</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="BusinessLayer.Order">
<!--   -->
</a>
<h3>Class <a href="BusinessLayer/Order.html" title="class in BusinessLayer">BusinessLayer.Order</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>idOrder</h4>
<pre>int idOrder</pre>
</li>
<li class="blockList">
<h4>table</h4>
<pre>int table</pre>
</li>
<li class="blockListLast">
<h4>date</h4>
<pre>java.util.Date date</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="BusinessLayer.Restaurant">
<!--   -->
</a>
<h3>Class <a href="BusinessLayer/Restaurant.html" title="class in BusinessLayer">BusinessLayer.Restaurant</a> extends java.util.Observable implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>menu</h4>
<pre>java.util.List&lt;E&gt; menu</pre>
</li>
<li class="blockListLast">
<h4>orders</h4>
<pre>java.util.HashMap&lt;K,V&gt; orders</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;DataLayer</h2>
<ul class="blockList">
<li class="blockList"><a name="DataLayer.RestaurantSerializator">
<!--   -->
</a>
<h3>Class <a href="DataLayer/RestaurantSerializator.html" title="class in DataLayer">DataLayer.RestaurantSerializator</a> extends java.lang.Object implements Serializable</h3>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;start</h2>
<ul class="blockList">
<li class="blockList"><a name="start.MainClass">
<!--   -->
</a>
<h3>Class <a href="start/MainClass.html" title="class in start">start.MainClass</a> extends java.lang.Object implements Serializable</h3>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
